## PopplerLayer

PopplerLayer — Layers

## Functions

const gchar * | poppler_layer_get_title ()
gboolean | poppler_layer_is_visible ()
void | poppler_layer_show ()
void | poppler_layer_hide ()
gboolean | poppler_layer_is_parent ()
gint | poppler_layer_get_radio_button_group_id ()

## Types and Values

| PopplerLayer

## Object Hierarchy

        GObject
        ╰── PopplerLayer

## Includes

    #include <poppler.h>

## Description

## Functions

### poppler_layer_get_title ()

    const gchar *
    poppler_layer_get_title (PopplerLayer *layer);

Returns the name of the layer suitable for presentation as a title in a viewer's GUI

#### Parameters

layer | a PopplerLayer |

#### Returns

a string containing the title of the layer

Since: 0.12

### poppler_layer_is_visible ()

    gboolean
    poppler_layer_is_visible (PopplerLayer *layer);

Returns whether `layer` is visible

#### Parameters

layer | a PopplerLayer |

#### Returns

`TRUE` if `layer` is visible

Since: 0.12

### poppler_layer_show ()

    void
    poppler_layer_show (PopplerLayer *layer);

Shows `layer`

#### Parameters

layer | a PopplerLayer |

Since: 0.12

### poppler_layer_hide ()

    void
    poppler_layer_hide (PopplerLayer *layer);

Hides `layer` . If `layer` is the parent of other nested layers, such layers will be also hidden and will be blocked until `layer` is shown again

#### Parameters

layer | a PopplerLayer |

Since: 0.12

### poppler_layer_is_parent ()

    gboolean
    poppler_layer_is_parent (PopplerLayer *layer);

Returns whether `layer` is parent of other nested layers.

#### Parameters

layer | a PopplerLayer |

#### Returns

`TRUE` if `layer` is a parent layer

Since: 0.12

### poppler_layer_get_radio_button_group_id ()

    gint
    poppler_layer_get_radio_button_group_id
                                   (PopplerLayer *layer);

Returns the numeric ID the radio button group associated with `layer` .

#### Parameters

layer | a PopplerLayer |

#### Returns

the ID of the radio button group associated with `layer` , or 0 if the layer is not associated to any radio button group

Since: 0.12

## Types and Values

### PopplerLayer

    typedef struct _PopplerLayer PopplerLayer;